export interface Order {
    OrderID: number;                  // ใช้ Q ใหญ่ตาม entity
    customer: { CustomerID: number }; // ความสัมพันธ์กับ Customer
    orderPriorities?: { OrderPriorityID: number }[]; // ความสัมพันธ์กับ OrderPriority (ถ้ามี)
    orderDetails?: { OrderDetailID: number }[]; // ความสัมพันธ์กับ OrderDetail (ถ้ามี)
    queues?: { QueueID: number }[];    // ความสัมพันธ์กับ Queue (ถ้ามี)
    OrderDate: string;                // วันที่สร้างออเดอร์ (ISO string)
    status: string;                    // สถานะออเดอร์
    totalPriceall: number;              // ราคารวมทั้งหมด
    quantity: number;                   // จำนวนสินค้าทั้งหมด
    startDate?: string;                  // วันที่เริ่มต้น (ISO string)
    finishDate?: string;                 // วันที่สิ้นสุด (ISO string)
  }