type Gender = 'male' | 'female' | 'others'

export interface Employee {
  EmployeeID: number // Primary Key (Auto Increment)
  name: string
  gender: Gender
  age: number
  mainRole: string
  secondRole?: string | null
  tel: string
  dailyWageRate: number
  startDate: string // ใช้เป็น string ในรูปแบบ ISO date เช่น "2024-01-01"
  image?: string | null
}

export type { Gender }
