export interface Product {
    ProductID: number;
    brand: string;
    size: string;
    unit: string;
    status: string;
    lowStockLevel: number;
    quantityInStock: number;
    // เนื่องจากในฐานข้อมูลใช้ decimal precision,
    // บางทีมันอาจจะส่งมาเป็น string จาก API
    pricePerUnit: string | number;
    // หากต้องการข้อมูลเพิ่มเติม เช่น orderDetails หรือ productStocks สามารถเพิ่มได้
  }
  